Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::Pollable Class Reference

`#include <PollableC.h>`

Inheritance diagram for CORBA::Pollable:

[legend]
Collaboration diagram for CORBA::Pollable:

[legend]
List of all members.

## Public Types
typedef Pollable_ptr | _ptr_type
typedef Pollable_var | _var_type
## Public Methods
virtual CORBA::Boolean | is_ready (CORBA::ULong timeout ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::CORBA::PollableSet_ptr | create_pollable_set (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Allows us to forbid marshaling of local interfaces.
## Static Public Methods
Pollable_ptr | _duplicate (Pollable_ptr obj)
Pollable_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| No-op it is just here to simplify some templates.
Pollable_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Pollable_ptr | _nil (void)
| Return a NULL object.
## Protected Methods
| Pollable (void)
virtual | ~Pollable (void)
## Private Methods
| Pollable (const Pollable &)
void | operator= (const Pollable &)

## Member Typedef Documentation

typedef Pollable_ptr CORBA::Pollable::_ptr_type

| Reimplemented from CORBA::Object. Reimplemented in CORBA::DIIPollable.

typedef Pollable_var CORBA::Pollable::_var_type

| Reimplemented from CORBA::Object. Reimplemented in CORBA::DIIPollable.

## Constructor & Destructor Documentation

CORBA::Pollable::Pollable | ( | void |  | ) | `[protected]`

CORBA::Pollable::~Pollable | ( | void |  | ) | `[protected, virtual]`

CORBA::Pollable::Pollable | ( | const Pollable & |  | ) | `[private]`

## Member Function Documentation

CORBA::Pollable_ptr CORBA::Pollable::_duplicate | ( | Pollable_ptr | obj | ) | `[static]`

const char * CORBA::Pollable::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA::Object. Reimplemented in CORBA::DIIPollable.

virtual CORBA::Boolean CORBA::Pollable::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented in CORBA::DIIPollable.

Pollable_ptr CORBA::Pollable::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| No-op it is just here to simplify some templates. Reimplemented from CORBA::Object. Reimplemented in CORBA::DIIPollable.

Pollable_ptr CORBA::Pollable::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA::Object. Reimplemented in CORBA::DIIPollable.

Pollable_ptr CORBA::Pollable::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented in CORBA::DIIPollable.

virtual ::CORBA::PollableSet_ptr CORBA::Pollable::create_pollable_set | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual CORBA::Boolean CORBA::Pollable::is_ready | ( | CORBA::ULong timeout | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

CORBA::Boolean CORBA::Pollable::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Allows us to forbid marshaling of local interfaces. Reimplemented from CORBA::Object. Reimplemented in CORBA::DIIPollable.

void CORBA::Pollable::operator= | ( | const Pollable & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- PollableC.h
- PollableC.cpp